body{
    line-height: 1.15;
    font-size: 0.5rem;
    margin: 0;
    padding: 0;
    background-color: hsla(227,67%,16%,1.00);
}
*{
    margin: 0;
    padding: 0;
    font-weight: normal;
}
ul{
    list-style: none;
}
a{
    text-decoration: none;
}
div,
span,
a {
    word-break: break-all;
}
.map .area {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.map .area div {
    color: #fff;
    font-size: 0.75rem;
    border-radius: 0.3rem;
    border: 1px solid #4c9bfd;
    display: grid;
            width: 100%;
                grid-template-columns: repeat(5, 20%);
}

.map .area div>a {
    padding: 0.36rem;
    color: #fff;
    padding: 0.36rem;
    text-align: center;
}

.map .area div>a {
    color: #fff;
    border-right: 1px solid #4c9bfd;
    border-bottom: 1px solid #4c9bfd;
}

.map .area div>a:nth-child(6) {
    color: #fff;
    border-bottom: none;
}

.map .area div>a:nth-child(5n) {
    color: #fff;
    border-right: none;
}
.viewport {
    /* 限定大小 */
    min-width: 1024px;
    max-width: 1920px;
    min-height: 780px;
    margin: 0 auto;
    background: url(../images/logo.png) no-repeat 0 0 / contain;
    display: flex;
    padding: 3.667rem 0.833rem 0;
}
.top-title-position {
    min-width: 1024px;
    max-width: 1920px;
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
}
.top-title {
    font-size: 1.5rem;
    font-weight: bold;
    color: #fff;
    position: absolute;
    top: 0.6rem;
    left: 50%;
    transform: translateX(-50%);
}
.column{
    flex: 3;
    position: relative;
}
.column:nth-child(2){
    flex: 4;
    margin: 1.333rem 0.833rem 0;
}
.panel {
    /* 边框 */
    box-sizing: border-box;
    border: 2px solid red;
    border-image: url(../images/border.png) 51 38 21 132;
    border-width: 2.125rem 1.583rem 0.875rem 5.5rem;
    position: relative;
    margin-bottom: 0.833rem;
}
.panel .inner {
    /* 装内容 */
    /* height: 60px; */
    position: absolute;
    top: -2.125rem;
    right: -1.583rem;
    bottom: -0.875rem;
    left: -5.5rem;
    padding: 1rem 1.5rem;
}
.panel h3{
    font-size: 0.833rem;
    color: #fff;
}
/* 概览区域 */
.overview{
    height: 4.583rem;
  }
  .overview .inner{
    display: flex;
    justify-content: space-between;
  }
  .overview h4{
    font-size: 1.167rem;
    padding-left: 0.2rem;
    color: #fff;
    /* margin-bottom: 0.333rem */
  }
  .overview span{
    font-size: 0.667rem;
    color: #4c9bfd;
}
/* 监控 */
.monitor{
	height: 12rem;
  }
  .monitor .inner{
	padding: 1rem 0;
	display: flex;
	flex-direction: column;
  }
  .monitor .tabs{
	padding: 0 1.5rem;
	margin-bottom: 0.75rem;
  }
  .monitor .tabs a{
	color: #1950c4;
	font-size: 0.75rem;
	padding: 0 1.125rem;
  }
  
  .monitor .tabs a:first-child{
	/* border-right: 0.083rem solid #00f2f1; */
	padding-left: 0;
  }
  
  .monitor .tabs a.active{
	color: #fff;
  }
  .monitor .list{
	flex: 1; 
	position: relative;
  }
  .monitor .head{
	background: rgba(255, 255, 255, 0.1);
	font-size: 0.583rem;
	padding: 0.5rem 1.5rem;
	color: #68d8fe;
	display: flex;
	justify-content: space-between;
	line-height: 1.05;
  }
  .monitor .col:nth-child(1) {
	width: 3.9rem;
  }
  .monitor .col:nth-child(2) {
	width: 8.4rem;
	/* 不换行  一行省略*/
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
  }
  .monitor .col:nth-child(3) {
	width: 3.2rem;
  }
  .monitor .col:nth-child(4) {
      width: 2.4rem;
  }
  .monitor .marquee-view{
  position: absolute;
  top: 1.6rem;
  bottom: 0; 
  width: 100%; 
  overflow: hidden;
}

.monitor .row{
  line-height: 1.05;
  padding: 0.5rem 1.5rem;
  color: #61a8ff;
  font-size: 0.5rem;
  position: relative;
  display: flex;
  justify-content: space-between;
}
.monitor .row:hover{
  color:#68d8ff;
  background: rgba(255, 255, 255, 0.1);
  cursor: pointer;
}
.monitor .row:hover .icon-dot{
  opacity: 1;
}

.monitor .icon-dot{
  position: absolute;
  left: 0.64rem;
  opacity: 0;
}
.monitor .marquee-view{
	position: absolute;
	top: 1.6rem;
	bottom: 0; 
	width: 100%; 
	overflow-y: scroll;
  }
  
  .monitor .row{
	line-height: 1.05;
	padding: 0.5rem 1.5rem;
	color: #61a8ff;
    font-size: 0.7rem;
	position: relative;
	display: flex;
	justify-content: space-between;
  }
  .monitor .row:hover{
	color:#68d8ff;
	background: rgba(255, 255, 255, 0.1);
  }
  .monitor .row:hover .icon-dot{
	opacity: 1;
  }
  
  .monitor .icon-dot{
	position: absolute;
	left: 0.64rem;
	opacity: 0;
}

/* 动画 */
/* @keyframes scroll-top {
    0%{}
    100%{
        transform: translateY(-50%);
    }
}
.monitor .marquee {
    animation: scroll-top 240s linear infinite;
}
.monitor .marquee:hover{
    animation-play-state: paused;
} */
/* 点位 */
.point {
    height: 13.775rem;
  }  
  .point .inner {
      display: flex;
      flex-direction: column;
  }

  .point .chart {
      flex: 1;
      padding-top: 0.6rem;
      position: relative;
  } 
  .point .line {
      width: 100%;
      height: 100%;
  }
  /* .point .chart {
    display: flex;
    margin-top: 1rem;
    justify-content: space-between;
    flex:1;
    position: relative;
  } */
  .point .pie {
    width: 100%;
    height: 100%;
    margin-left: -0.4rem;
  }
  .point .data {
    display: flex;
    flex-direction: column;
    justify-content: space-between; 
    padding: 1.5rem 1.25rem;
    box-sizing: border-box;
    background-image: url(../images/rect.png);
    background-size: cover;
  }
  .point h4 {
    margin-bottom: 0.5rem;
    font-size: 1.167rem;
    color: #fff;
  }
  .point  h3 {
     height: 0.75rem;
     padding-right: 0.75rem;
 }
  .point span {
    display: block;
    color: #4c9bfd;
    font-size: 0.667rem;
  }

/* 地图  */
.map {
  height: 24.1rem;
  margin-bottom: 0.833rem;
  display: flex;
  flex-direction: column;
}
.map h3 {
  line-height: 1;
  padding: 0.667rem 0;
  margin: 0;
  font-size: 0.833rem;
  color: #fff;
}
.map h3.title{ 
    border-width: 1.2rem 1.6rem 0;
    font-size: 1.6rem;
    text-align: center;
    padding: 0 0 1rem;
    margin:-3rem 0 0;
}
.map .icon-cube {
  color: #68d8fe;
}
.map .chart {
  flex: 1;
  background-color: rgba(255, 255, 255, 0.05);
position: relative;
}
.map .geo {
  width: 100%;
  height: 100%;
}
.full-screen {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 999999;
    background-color: #000;
}
.full-screen .filter {
    position: absolute;
    top: 0.628rem;
    color: #fff;
    font-size: 0.628rem;
    right: 0.628rem;
    display: flex;
    align-items: center;
    gap: 12px;
    z-index: 9999999;
}

.full-screen .filter-item {
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 4px;
}

.full-screen .filter-item img {
    width: 12px;
    height: 12px;
}
.full-close {
    position: absolute;
    top: 0.628rem;
    color: #fff;
    left: 0.628rem;
    font-size: 0.628rem;
    cursor: pointer;
    z-index: 999999999;
}

.full-map {
    /* width: 100%;
    height: 100%; */
    width: 100vw;
    height: 100vh;
}

.map .chart .full {
    position: absolute;
    top: 0.628rem;
    color: #fff;
    left: 0.628rem;
    z-index: 999;
    font-size: 0.628rem;
    cursor: pointer;
}
.map .chart .filter{
    position: absolute;
    top: 0.628rem;
    color: #fff;
    font-size: 0.628rem; 
    right: 0.628rem;
    display: flex;
        align-items: center;
        gap: 12px;
}
.map .chart .filter-item {
    cursor: pointer;
    display: flex;
    align-items: center;
    gap: 4px;
}
.map .chart .filter-item img {
   width: 12px;height: 12px;
}
/* 用户模块 */
.users {
  height: 12.917rem;
  display: flex;
}
.center .users{
  height: 14.167rem;
}
.users .chart {
  display: flex;
  margin-top: 1rem;
}
.users .bar {
  width: 24.5rem;
  height: 10rem;
}
.users .data {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 7rem;
  padding: 1.5rem 1.25rem;
  box-sizing: border-box;
  background-image: url(../images/rect.png);
  background-size: cover;
}
.users h4 {
  margin-bottom: 0.5rem;
  font-size: 1.167rem;
  color: #fff;
}
/* 销售区域 */
.sales {
  height: 12.915rem;
}
.sales .caption {
  display: flex;
  justify-content: space-between;
  line-height: 1;
}
.sales h3 {
  height: 0.75rem;
  padding-right: 0.75rem;
  /* border-right: 0.083rem solid #00f2f1; */
}
.sales a {
  padding: 0.167rem;
  font-size: 0.667rem;
  margin: -0.125rem 0 0 0.875rem;
  border-radius: 0.125rem;
  color: #0bace6;
}
.sales a.active {
  background-color: #4c9bfd;
  color: #fff;
}
.sales .popbox{
    position: absolute;
        top: 0.79rem;
        z-index: 999;
        right: 0;
        height: 5rem;
        width: 4.76rem;
        overflow-y: scroll;
        background-color: #4c9bfd;
padding: 0.167rem;
display: none;
}
.sales .popbox .row{
font-size: 0.667rem;
padding: 0.167rem;
color: #0d1944;
cursor: pointer;
}
.sales .inner {
  display: flex;
  flex-direction: column;
}
.sales .chart {
  flex: 1;
  padding-top: 0.6rem;
  position: relative;
}
.sales .label {
  position: absolute;
  left: 1.75rem;
  top: 0.75rem;
  color: #4996f5;
  font-size: 0.583rem;
}
.sales .line {
  width: 100%;
  height: 100%;
}


/* 渠道区块 */
.wrap {
  display: flex;
}
.channel,
.quarter {
  flex: 1;
  height: 9.667rem;
}
.channel {
  margin-right: 0.833rem;
}
.channel .data {
  overflow: hidden;
}
.channel .item {
  margin-top: 0.85rem;
}
.channel .item:first-child {
  float: left;
}
.channel .item:last-child {
  float: right;
}
.channel h4 {
  color: #fff;
  font-size: 1.333rem;
  margin-bottom: 0.2rem;
}
.channel small {
  font-size: 50%;
}
.channel span {
  display: block;
  color: #4c9bfd;
  font-size: 0.583rem;
}
/* 季度区块 */
.quarter .inner {
  display: flex;
  flex-direction: column;
  margin: 0 -0.25rem;
}
.quarter .chart {
  flex: 1;
  padding-top: 0.75rem;
}
.quarter .box {
  position: relative;
}
.quarter .label {
  transform: translate(-50%, -30%);
  color: #fff;
  font-size: 1.25rem;
  position: absolute;
  left: 50%;
  top: 50%;
}
.quarter .label small {
  font-size: 50%;
}
.quarter .gauge {
  height: 3.5rem;
}
.quarter .data {
  display: flex;
  justify-content: space-between;
}
.quarter .item {
  width: 50%;
}
.quarter h4 {
  color: #fff;
  font-size: 1rem;
  margin-bottom: 0.4rem;
}
.quarter span {
  display: block;
  width: 100%;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  color: #4c9bfd;
  font-size: 0.583rem;
}

/* 排行榜 */
.top {
  height: 12.917rem;
}
.top .inner {
  display: flex;
}
.top .all {
  display: flex;
  flex-direction: column;
  width: 7rem;
  color: #4c9bfd;
  font-size: 0.6rem;
  vertical-align: middle;
}
.top .all ul {
  padding-left: 0.5rem;
  margin-top: 0.5rem;
  flex: 1;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
.top .all li {
  overflow: hidden;
}
.top .all [class^="icon-"] {
  font-size: 1.5rem;
  vertical-align: middle;
  margin-right: 0.5rem;
}
.top .province {
  flex: 1;
  display: flex;
  flex-direction: column;
  color: #fff;
}
.top .province .caption {
    display: flex;
    line-height: 1;
}
.top .province h3 {
    height: 0.75rem;
    padding-right: 0.75rem; 
}
.top .province a{
    padding: 0.167rem;
        font-size: 0.667rem;
        margin: -0.125rem 0 0 0.875rem;
        border-radius: 0.125rem;
        color: #0bace6;
}
.top .province a.active {
    background-color: #4c9bfd;
        color: #fff;
}
.top .province a.gray {
        color: #fff;
    background-color: gray;
}
.top .province a.green {
        color: #fff;
    background-color: #a6c84c;
}
.top .province a.yellow {
        color: #fff;
    background-color: #ffa022;
}
.top .province a.red {
        color: #fff;
    background-color: red;
}
.top .province i {
  padding: 0 0.5rem;
  margin-top: 0.208rem;
  float: right;
  font-style: normal;
  font-size: 0.583rem;
  color: #0bace6;
}
.content {
    flex: 1; 
    position: relative;
  padding:0.5rem 0 ;
}

.content .head {
    background: rgba(255, 255, 255, 0.1);
    font-size: 0.583rem;
    padding: 0.5rem 1.5rem;
    color: #68d8fe;
    display: flex;
    justify-content: space-between;
    line-height: 1.05;
}
.top .province s {
  display: inline-block;
  transform: scale(0.8);
  text-decoration: none;
}
.top .province .icon-up {
  color: #dc3c33;
}
.top .province .icon-down {
  color: #36be90;
}
.top .province .data {
  flex: 1;
  display: flex;
  margin-top: 0.6rem;
}
.top .province ul {
  flex: 1;
  line-height: 1;
  margin-bottom: 0.25rem;
}
.top .province ul li {
  display: flex;
  justify-content: space-between;
}
.top .province ul span {
  display: block;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.top .province ul.sup {
  font-size: 0.612rem;
overflow-y: scroll;
    height: 10.167rem;
}
.top .province ul.sup li {
  color: #4995f4;
  padding: 0.5rem;
}
.top .province ul.sup li.active {
  color: #a3c6f2;
  background-color: rgba(10, 67, 188, 0.2);
}
.top .province ul.sub {
  display: flex;
  flex-direction: column;
  /* justify-content: space-around; */
  font-size: 0.612rem;
  background-color: rgba(10, 67, 188, 0.2);
    overflow-y: scroll;
    height: 10.167rem;
}
.top .province ul.sub li {
  color: #52ffff;
  padding: 0.517rem 0.6rem;
}
.clock {
  position: absolute;
  top: -1.5rem;
  right: 1.667rem;
  font-size: 0.833rem;
  color: #0bace6;
}
.clock i {
  margin-right: 5px;
  font-size: 0.833rem;
}
@media screen and (max-width: 1600px) {
  .top span {
    transform: scale(0.9);
  }
  .top .province ul.sup li {
    padding: 0.4rem 0.5rem;
  }
  .top .province ul.sub li {
    padding: 0.23rem 0.5rem;
  }
  .quarter span {
    transform: scale(0.9);
  }
}

/* 整个滚动条 */
::-webkit-scrollbar {
    width: 0.3rem;
    /* 水平滚动条的高度、垂直滚动条的宽度 */
     
    /* 水平滚动条的高度 */
}

/* 滚动条轨道 */
::-webkit-scrollbar-track {
    background: #4995f4;
    /* 颜色和样式 */
}

/* 滚动条滑块 */
::-webkit-scrollbar-thumb {
    background: #00f2f1;
    /* 滑块颜色 */
}

/* 滑块hover效果 */
::-webkit-scrollbar-thumb:hover {
    background: #00f2f1;
}

.marquee .row{
    line-height: 1.05;
        padding: 0.5rem 1.5rem;
        color: #61a8ff;
        font-size: 0.5rem;
        position: relative;
        display: flex;
        justify-content: space-between;
}
.province .content .row:hover {
    color: #68d8ff;
    background: rgba(255, 255, 255, 0.1);
    cursor: pointer;
}
.province .content .col{
    text-align: center;
}
.province .content .col:nth-child(1){
    text-align: left;
    width: 3.9rem;
}
.province .content .col:nth-child(2) {
    width: 2.98rem;
}
.province .content .col:nth-child(3) {
    width: 1.75rem;
}
.province .content .col:nth-child(4) {
    width: 3rem;
}
.province .content .col:nth-child(5) {
    width: 3rem;
}
.province .content .col:nth-child(6) {
    width: 2rem;
}
.province .content .col:nth-child(7) {
    width: 2.4rem;
}

.top .inner,.users .inner{
    padding: 1rem 0;
}
.top h3,
.users h3{
    padding: 0 1.5rem;
}
 
.top .marquee-view .marquee {
    overflow-y: scroll;
        height: 7.8rem;
}
.users .content .row:hover{
    color: #68d8ff;
        background: rgba(255, 255, 255, 0.1);
  cursor: pointer;
}
.users .content .col{
    text-align: center;
}
.users .content .col:nth-child(1) {
    width: 3.5rem;
    text-align: left;
}

.users .content .col:nth-child(2) {
    width: 2.98rem;
}

.users .content .col:nth-child(3) {
    width: 2.4rem;
}

.users .content .col:nth-child(4) {
    width: 3rem;
}

.users .content .col:nth-child(5) {
    width: 3rem;
}

.users .content .col:nth-child(6) {
    width: 2.4rem;
}
.users .content .col:nth-child(7) {
    width: 2rem;
}
.user2 .content .col:nth-child(1) {
    width: 3.5rem;
}

.user2 .content .col:nth-child(2) {
    width: 2.98rem;
}

.user2 .content .col:nth-child(3) {
    width: 2.4rem;
}

.user2 .content .col:nth-child(4) {
    width: 3rem;
}

.user2 .content .col:nth-child(5) {
    width: 3rem;
}

.user2 .content .col:nth-child(6) {
    width: 2rem;
}

.user2 .content .col:nth-child(7) {
    width: 2.4rem;
}
.user3 .content .col:nth-child(1) {
    width: 3.9rem;
}

.user3 .content .col:nth-child(2) {
    width: 2.98rem;
}
.user3 .content .col:nth-child(3) {
    width: 3.6rem;
}
.user3 .content .col:nth-child(4) {
    width: 3.6rem;
}
.user3 .content .col:nth-child(5) {
    width: 2.4rem;
}
.user3 .content .col:nth-child(6) {
    width: 3.6rem;
}
.user3 .content .col:nth-child(7) {
    width: 2rem;
}
.user3 .content .col:nth-child(8) {
    width: 2.4rem;
}
 
.users .marquee{
    overflow-y: scroll;
    height: 7.8rem;
}

.user3 .marquee {
    overflow-y: scroll;
    height:9rem;
}

.col span{
    display: block;
} 
